### Method

# GdkX11 X11Surfacemove_to_current_desktop

#### Declaration [src]

    void
    gdk_x11_surface_move_to_current_desktop (
      GdkSurface* surface
    )

#### Description [src]

Moves the surface to the correct workspace when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints specification. Will not do anything if the surface is already on all workspaces.